compile Theli mit Ubuntu 20.10

Linux (Theli bezogen), Theli, GUI und Hilfsprogramme.

compile Theli mit Ubuntu 20.10

Beitragvon eisentpferd » Samstag 17. Oktober 2020, 22:02

Hallo Mischa,
jetzt sind wir schon so weit gekommen... Da fehlt doch nur noch eine "einfache" Update Möglichkeit.

Dank an Kai für das Debian Paket.
Wenn also die Installation mittels apt install geglückt ist fehlt noch die Möglichkeit die Updates von Mischa selber compilieren zu können.
Kriegen wir das hin?

Was ich bisher gemacht habe:

sudo apt install git
sudo apt install qtchooser
sudo apt install autotools-dev
sudo apt install qt5-default
sudo apt install python2
sudo apt install libfftw3-dev
sudo apt install libtiff-dev
sudo apt install libcurl4-gnutls-dev
sudo apt install libgsl-dev
sudo apt install libatlas-base-dev
sudo apt install libblas-dev
sudo apt install libplplot-dev
sudo apt install libcfitsio-dev
sudo apt install libwcstools-dev
sudo apt install wcslib-dev
sudo apt install liblapack-dev
sudo apt install libraw-dev
sudo apt install debhelper-compat

in neuem Verzeichnis:
git clone https://github.com/schirmermischa/THELI.git
qmake -o Makefile THELI.pro
make -j 8 (weil 8-kern cpu)

Dann klemmt er aber bei irgendwas mit libraw??

Code: Alles auswählen
tools/splitter_RAW.cc: In member function \u2018void Splitter::importRAW()\u2019:
tools/splitter_RAW.cc:70:44: error: \u2018struct libraw_makernotes_t\u2019 has no member named \u2018common\u2019
   70 | #define P3 rawProcessor.imgdata.makernotes.common
      |                                            ^~~~~~
tools/splitter_RAW.cc:102:18: note: in expansion of macro \u2018P3\u2019
  102 |     sensorTemp = P3.SensorTemperature;
      |                  ^~
tools/splitter_RAW.cc:70:44: error: \u2018struct libraw_makernotes_t\u2019 has no member named \u2018common\u2019
   70 | #define P3 rawProcessor.imgdata.makernotes.common
      |                                            ^~~~~~
tools/splitter_RAW.cc:103:18: note: in expansion of macro \u2018P3\u2019
  103 |     cameraTemp = P3.CameraTemperature;
      |                  ^~


Hat einer eine Idee? Kann das jemand nachvollziehen?
Das Problem hab ich übrigens auch mit der Installation in meinem Ubuntu 20.04 welches im Frühjahr noch lief und jetzt nicht mehr compilieren kann.

Gruß /Hendrik/
eisentpferd
 
Beiträge: 46
Registriert: Sonntag 12. Januar 2020, 21:14

Re: compile Theli mit Ubuntu 20.10

Beitragvon mischa » Sonntag 18. Oktober 2020, 10:14

Du musst libraw v0.20 installieren. Steht auch so im github repository im INSTALL

mischa
mischa
Moderator
 
Beiträge: 1218
Registriert: Freitag 7. Oktober 2011, 14:07
Wohnort: Chile

Re: compile Theli mit Ubuntu 20.10

Beitragvon eisentpferd » Dienstag 20. Oktober 2020, 19:54

Ok, ich habs soweit.

Das libraw-dev paket muss wieder runter.
sudo apt remove libraw-dev

dann das aktuelle libraw besorgen:
cd software (oder wo man es auch immer hin runterladen möchte)
git clone https://github.com/libraw/libraw
cd libraw
autoreconf --install
./configure
make
sudo make install

Dann die .bashrc editieren und die zeile
export LD_LIBRARY_PATH=/usr/local/lib
am Ende einfügen (zb. mit gedit .bashrc)
Das Terminal einmal neu auf machen


Wenn man jetzt Theli aktualisieren möchte:
In das Verzeichnis wechseln wohin die Theli src runtergeladen wurden
zB. /software/THELI
git pull
cd src
make clean
make
(oder make -j 8 wenn man 8 Kerne hat)

Jetzt kann das neuste Theli gestartet werden mit ./theli
nach
sudo make install
liegt es dann im Pfad (die ältere Version ist dann überschrieben)

Gruß /Hendrik/
eisentpferd
 
Beiträge: 46
Registriert: Sonntag 12. Januar 2020, 21:14


Zurück zu Installation

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast

cron